Question: Trinity command for paired sequences (Illumina)
0
gravatar for luigi.marongiu
3.5 years ago by
United Kingdom
luigi.marongiu0 wrote:

Dear all,

I ran Trinity to create a de novo alignment of two paired files <myFile_1.fq> and <myFile_2.fq>, with the following:

Trinity --seqType fq --max_memory 10G --no_bowtie --left /path/myFile_1.fq --right /path/myFile_2.fq --CPU 10

but i got the error:

$ Trinity version: v2.1.1
-ERROR: couldn't run the network check to confirm latest Trinity software version.

Saturday, December 5, 2015: 14:49:24    CMD: java -Xmx64m -XX:ParallelGCThreads=2 -jar /usr/local/lib/Trinity/util/support_scripts/ExitTester.jar 0
Saturday, December 5, 2015: 14:49:25    CMD: java -Xmx64m -XX:ParallelGCThreads=2 -jar /usr/local/lib/Trinity/util/support_scripts/ExitTester.jar 1
Error, cannot locate file: /path/myFile_1.fq at /usr/bin/Trinity line 2150.
    main::create_full_path(ARRAY(0x25e9eb8), 1) called at /usr/bin/Trinity line 1106

What I got wrong?

In addition, I had to remove Bowtie -- although the Bowtie2 command is also present in the folder /usr/bin/ of Linux and I can run Bowtie2 from a terminal opened in any location. -- otherwise I get the error:

$ Error, cannot find path to bowtie () or bowtie-build ()

Thank you.

 

de novo alignment trinity • 3.0k views
ADD COMMENTlink modified 3.5 years ago by h.mon25k • written 3.5 years ago by luigi.marongiu0
1
gravatar for h.mon
3.5 years ago by
h.mon25k
Brazil
h.mon25k wrote:

1. bowtie2 is not bowtie.

2. use --no_version_check to get rid of the

-ERROR: couldn't run the network check to confirm latest Trinity software version.

3. it seem Trinity can't find your fastq files:

Error, cannot locate file: /path/myFile_1.fq 
ADD COMMENTlink written 3.5 years ago by h.mon25k

Thanks. For 2 and 3, I applied them and now it is going fine; but for 1, since the current version of bowtie is bowtie2, how can I run Trinity with the latest bowtie? Or it is necessary to use bowtie for a de novo assembly?

ADD REPLYlink written 3.5 years ago by luigi.marongiu0

I was too terse: bowtie and bowtie2 are two different code bases, and their development is somewhat in parallel. They are not compatible, as the index structure and command line parameters changed a lot. Trinity developers decided to use bowtie, either for convenience (they started with it and didn't want the trouble to change) or because it is more suited than bowtie2 for what they need.

ADD REPLYlink written 3.5 years ago by h.mon25k
Please log in to add an answer.

Help
Access

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.
Powered by Biostar version 2.3.0
Traffic: 817 users visited in the last hour